:root {
  --primary-color: #e52725;
  --secondary-color: #333;
  --accent-color: #8b2e3d;
  --dark-bg: #121a2e;
}

body {
  font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  overflow-x: hidden;
}

.navbar {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 999;
  transition: all 0.4s ease-in-out;
  background-color: transparent;
  backdrop-filter: none;
  box-shadow: none;
}

.navbar.scrolled {
  background-color: rgba(255, 255, 255, 0.8);
  backdrop-filter: blur(10px);
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.navbar-brand img {
  height: 40px;
}


.navbar .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.navbar-collapse {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  flex-grow: 1;
}

.navbar-nav {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}

.nav-link {
  color: #1E1E1E;
  font-weight: 500;
  margin: 0 10px;
}

form {
  background-color: white;
  padding: 4rem;
  box-shadow: 0 5px 20px hsla(0, 1%, 21%, 0.25);
  border-radius: 8px;
}

.form-control {
  padding: 14px;
  border-radius: 6px;
  border: 1px solid #DFE4EA;
  transition: border 0.3s;
  outline: none;
}

.form-control:focus {
  border: #E22B38 1px solid;
  box-shadow: none;
}

.form-control::placeholder {
  color: #9CA3AF;
}

.form-btn {
  width: 100%;
  background-color: #B61417;
  color: white;
  border: none;
  padding: 14px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 6px;
  font-weight: 500;
}

.position-relative {
  position: relative;
}

.image-container {
  position: absolute;
  top: 4rem;
  right: -26px;
  z-index: -1;
}

.overlay-image {
  position: absolute;
  top: -3.3rem;
  right: -25px;
  z-index: -1;
}

.bottom-dot {
  position: absolute;
  bottom: -1.2rem;
  left: -12px;
  z-index: -1;
}

.footer-icon img {
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.footer-icon img:hover {
  transform: translateY(-.5rem);
  border: none;
}

.btn-schedule {
  background-color: #000;
  color: white;
  border-radius: 25px;
  padding: 8px 20px;
  font-weight: 500;
  border: none;
}

.btn-schedule:hover {
  background-color: #222;
  color: white;
}

.contact {
  font-family: "Raleway", sans-serif;
  margin: 5rem 0;
  padding: 5rem 0;
}

.contact h6 {
  font-size: 18px;
  color: #B61417;
  font-weight: 600;
}

.contact h1 {
  font-size: 40px;
  font-weight: 700;
  color: #111928;
}

.contact p {
  color: #637381;
  font-weight: 400;
}

.contact-text h1 {
  font-size: 18px;
  color: #111928;
  font-weight: 600;
}

.contact-text p {
  color: #637381;
  line-height: 24px;
  font-weight: 400;
}

.hero-section {
  padding: 80px 0;
  position: relative;
  min-height: 60vh;
  display: flex;
  align-items: center;
}

.hero-title {
  font-family: "Radley", serif;
  font-size: 64px;
  font-weight: 400;
}

.hero-title span {
  font-weight: 400;
  font-family: "Radley", serif;
  font-size: 64px;
  line-height: 36px;
  color: var(--primary-color);
}

.hero-subtitle {
  font-family: "Radley", serif;
  font-size: 64px;
  color: var(--secondary-color);
  font-weight: 400;
}

.hero-description {
  font-size: 24px;
  color: #212529;
  line-height: 36px;
  margin-bottom: 30px;

}

.hero-image {
  max-width: 100%;
  transform: perspective(1000px) rotateY(-10deg);
  transition: transform 0.5s ease;
}

.hero-image:hover {
  transform: perspective(1000px) rotateY(0deg);
}

.integration-section {
  padding: 40px 0;
}

.integration-title {
  font-size: 20pxm;
  font-weight: 600;
  color: #000;
  margin-bottom: 0;
}

.logo-container {
  display: flex;
  align-items: center;
  overflow: hidden;
  position: relative;
  width: 100%;
}

.logo-scroll {
  display: flex;
  animation: scroll 30s linear infinite;
  width: max-content;
}

.logo-item {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 20px;
}

.logo-item img {

  object-fit: contain;
}

@keyframes scroll {
  0% {
    transform: translateX(0);
  }

  100% {
    transform: translateX(-50%);
  }
}

.what-is-section {
  padding: 120px 0;
  background-color: #fff;
}

.what-is-title {
  font-size: 32px;
  font-weight: 700;
  color: #212529;
  margin-bottom: 20px;
  position: relative;
}

.what-is-title::before {
  content: "";
  position: absolute;
  top: -10px;
  left: 0;
  width: 40px;
  height: 3px;
  background-color: var(--accent-color);
}

.what-is-description {
  font-weight: 300;
  color: #212529;
  line-height: 1.6;
}



.zatca-image {
  max-width: 100%;
  height: auto;
}

.services-section {
  padding: 40px 0;
  background: url(./img/Section.png);
  color: white;
}

.compliant-invoicing {
  padding: 70px 0;
  background: url(./img/Frame\ 1.png);
  color: white;
}

.services-title {
  font-size: 36px;
  font-weight: 700;
  text-align: center;
  margin-bottom: 50px;
}

.invoice-title {
  font-size: 2rem;
  font-weight: 600;
  text-align: center;
}

.invoice-title p {
  font-size: 20px;
  line-height: 24px;
  text-align: center;
}

.phase-title {
  font-size: 32px;
  font-weight: 700;
  margin-bottom: 20px;
  color: #fff;
}

.services-list {
  list-style: none;
  padding-left: 0;
  margin-bottom: 0;
}

.services-list li {
  position: relative;
  padding-left: 25px;
  margin-bottom: 12px;
  font-size: 20px;
  font-weight: 400;
  color: rgba(255, 255, 255, 0.8);
}

.services-list li::before {
  content: "•";
  position: absolute;
  left: 0;
  color: var(--primary-color);
  font-size: 1.2rem;
  line-height: 1;
}

.phase-container {
  padding: 0 20px;
}

.whatsapp-float {
  position: fixed;
  width: 60px;
  height: 60px;
  bottom: 30px;
  right: 30px;
  background-color: #25d366;
  color: white;
  border-radius: 50%;
  font-size: 30px;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.3);
  text-decoration: none;
  line-height: 1;
  border: none;
}

.whatsapp-float i {
  margin: 0;
  padding: 0;
  line-height: 1;
  vertical-align: middle;
}

.whatsapp-float:hover {
  transform: scale(1.1);
  color: white;
}



@media (max-width: 991px) {

  .hero-description {
    margin: 0 auto 30px auto;
  }

  .hero-image-container {
    margin-top: 40px;
  }

  .navbar-nav {
    position: static;
    transform: none;
    margin: 15px 0;
    text-align: center;
    width: 100%;
  }

  .navbar-collapse {
    flex-direction: column;
    align-items: center;
  }

  .mobile-cta {
    width: 100%;
    text-align: center;
    margin-top: 15px;
  }

  .integration-section .row {
    flex-direction: column;
  }

  .integration-title {
    text-align: center;
    margin-bottom: 20px;
  }

  .what-is-section {
    padding: 100px 0;
    text-align: center;
  }

  .what-is-title::before {
    left: 50%;
    transform: translateX(-50%);
  }

  .zatca-image {
    margin-bottom: 30px;
  }

  .phase-container {
    margin-bottom: 40px;
  }

  .services-title {
    font-size: 36px;
    font-weight: 700;
    margin-bottom: 30px;
  }
}

@media (max-width: 767px) {
  form {
    margin-top: 1rem !important;
  }

  .overlay-image,
  .image-container,
  .bottom-dot {
    display: none;
  }

  .hero-title,
  .hero-subtitle {
    text-align: center;
    font-size: 54px;
    line-height: 50px;
  }
.hero-title{
  margin-top: 3rem;
}
.hero-description{
  text-align: center;
  margin-top: 1rem;
}
  

  .navbar-brand img {
    height: 30px;
  }

  .logo-item img {
    height: 25px;
  }

  .what-is-title {
    font-size: 1.5rem;
  }

  .phase-title {
    font-size: 1.2rem;
  }

  .services-list li {
    font-size: 0.85rem;
  }

  .footer-flex {
    flex-direction: column;
    justify-content: center;
    text-align: center !important;
  }

  .footer-icon {
    margin-top: 20px;
  }

  .contact h1 {
    font-size: 30px !important;
    text-align: center;
  }

  .contact h6 {
    text-align: center;
  }

  .contact p {
    text-align: center;
  }

  .contact-text h1 {
    text-align: start;
    font-size: 20px !important;
  }

  .contact-text p {
    text-align: start;
  }
}

@media (min-width: 350px) and (max-width: 425px) {
  footer {
    text-align: center !important;
  }

  .footer-icon img {
    display: flex;
    justify-content: center !important;
    align-items: center;
    text-align: center;
  }
}